@echo off

rem $Copyright(c) 2002,2004-2005,2008-2009,2013 Progress Software Corporation (PSC). All rights reserved.$
rem $Copyright (c) 2013-2014, 2017, 2021 Software AG, Darmstadt, Germany and/or Software AG USA Inc., Reston, VA, USA, and/or its subsidiaries and/or its affiliates and/or their licensors.$
rem Use, reproduction, transfer, publication or disclosure is prohibited except as specifically provided for in your License Agreement with Software AG
rem

setlocal

set __APAMA_SAMPLE_SOLUTION_FILE=EngineClientSamples.sln

if not defined APAMA_HOME (
	echo Cannot find required APAMA environment variables. 
	echo Please run this script from an Apama Command Prompt. 
	exit /b 100
	goto END
)

if not defined FrameworkDir (
	echo Cannot find required Visual Studio environment variables. 
	echo Please execute the VsDevCmd.bat script before running make, e.g. 
	echo.
	echo "C:\Program Files (x86)\Microsoft Visual Studio\2019\Professional\Common7\Tools\VsDevCmd.bat"
	exit /b 100
)

rem Unset VS Platform env var in case platform-specific VS env script was used (vcvarsall.bat)
set Platform=

if "%1"=="clean" goto CLEAN
if "%1"=="release" goto RELEASE
if "%1"=="ide" goto IDE
goto USAGE

rem --------------------------------------------------------------------------
:IDE
echo Starting Visual Studio IDE
devenv %__APAMA_SAMPLE_SOLUTION_FILE%
goto END

rem --------------------------------------------------------------------------
:CLEAN
echo Cleaning...
msbuild /p:configuration=Release /t:Clean %__APAMA_SAMPLE_SOLUTION_FILE%
rmdir /s /q EngineClientSample\bin
rmdir /s /q EngineClientSample\obj
goto END

rem --------------------------------------------------------------------------
:RELEASE
echo Starting release build...
msbuild /p:configuration=Release %__APAMA_SAMPLE_SOLUTION_FILE%
goto END

rem --------------------------------------------------------------------------
:USAGE
echo.
echo This script is for building samples on Microsoft Windows using the 
echo version of Microsoft Visual Studio supported by this Apama release. 
echo.
echo Start this script from an Apama Command Prompt, after running the 
echo Visual Studio VsDevCmd.bat script. 
echo.
echo make [ help ^| ide ^| release ^| clean ]
echo   help    - Show this message
echo   ide     - Open in the Visual Studio IDE for interactive editing
echo   release - Perform a release build
echo   clean   - Remove intermediate files and binaries from a previous build
goto END


rem -------------------------------------------------------------------------
:END
if %ERRORLEVEL% NEQ 0 EXIT /B %ERRORLEVEL%
