/*
 * SimpleEvent.java
 *
 * Class which defines a simple event containing a string.
 *
 * $Copyright(c) 2010 Progress Software Corporation. All Rights Reserved.$ 
 * $Copyright (c) 2013,2019 Software AG, Darmstadt, Germany and/or Software AG USA Inc., Reston, VA, USA, and/or its subsidiaries and/or its affiliates and/or their licensors.$ 
 * Use, reproduction, transfer, publication or disclosure is prohibited except as specifically provided for in your License Agreement with Software AG 
 */

import com.apama.jmon.Event;
import com.apama.jmon.annotation.EventType;

@EventType(description = "Event which contains a single, string field")
public class SimpleEvent extends Event {
	private static final long serialVersionUID = 12L;
	/** Event field */
	public String s;


	/**
	* No argument constructor
	*/
	public SimpleEvent() {
		this("");
	}


	/**
	* Construct a SimpleEvent object and set the instance variable s.
	*
	* @param s New value of event field
	*/
	public SimpleEvent(String s) {
		this.s = s;
	}
}
